Bug 591424 - Review Request: R-statmod - Statistical modeling
Review Request: R-statmod - Statistical modeling
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pierre-YvesChibon
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 591428
  Show dependency treegraph
 
Reported: 2010-05-12 04:38 EDT by Sandro Mathys
Modified: 2010-05-15 16:42 EDT (History)
3 users (show)

See Also:
Fixed In Version: R-statmod-1.4.6-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-15 16:28:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
pingou: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sandro Mathys 2010-05-12 04:38:54 EDT
Spec URL: http://red.fedorapeople.org/SRPMS/R-statmod.spec
SRPM URL: http://red.fedorapeople.org/SRPMS/R-statmod-1.4.6-1.fc12.src.rpm
Description:
Various statistical modeling functions including growth curve comparisons,
limiting dilution analysis, mixed linear models, heteroscedastic
regression, Tweedie family generalized linear models, the inverse-Gaussian
distribution and Gauss quadrature.

rpmlint {SPECS,SRPMS,RPMS/noarch}/R-statmod*
R-statmod.src: W: spelling-error %description -l en_US heteroscedastic -> heterosexuality, heterosexual, heterogeneous
R-statmod.noarch: W: spelling-error %description -l en_US heteroscedastic -> heterosexuality, heterosexual, heterogeneous
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

All warnings can be safely ignored.
Comment 1 Pierre-YvesChibon 2010-05-12 05:23:32 EDT
* source files match upstream:
   sha1sum statmod_1.4.6.tar.gz 
e488bfca55216c1fe3f8f5483fd4ec096d17027a  statmod_1.4.6.tar.gz
   sha1sum rpmbuild/SOURCES/statmod_1.4.6.tar.gz 
e488bfca55216c1fe3f8f5483fd4ec096d17027a  rpmbuild/SOURCES/statmod_1.4.6.tar.gz

* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text is included upstream.
* latest version is being packaged.
- BuildRequires are proper.
  tex(latex) should be in the BR (needed for the man page)

* %clean is present.
* package builds in koji (
http://koji.fedoraproject.org/koji/taskinfo?taskID=2182193 ).
* package installs properly
* test runs properly (?statmod::tweedie)
* rpmlint produces 2 warnings, safe to ignore (spelling).
  2 packages and 0 specfiles checked; 0 errors, 2 warnings.

* final provides and requires are sane
* %check is *not* present for circular dependency issue.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

I trust you can correct the BR before importing the package into the CVS.

** APPROVED **
Comment 2 Sandro Mathys 2010-05-12 07:00:43 EDT
Right, just changed that BR locally. Thanks for the review Pierre-Yves!

New Package CVS Request
=======================
Package Name: R-statmod
Short Description: Statistical modeling
Owners: red
Branches: F-12 F13
InitialCC:
Comment 3 Kevin Fenzi 2010-05-12 13:24:51 EDT
CVS done (by process-cvs-requests.py).
Comment 4 Fedora Update System 2010-05-13 11:31:17 EDT
R-statmod-1.4.6-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/R-statmod-1.4.6-1.fc12
Comment 5 Fedora Update System 2010-05-13 11:31:56 EDT
R-statmod-1.4.6-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/R-statmod-1.4.6-1.fc13
Comment 6 Fedora Update System 2010-05-15 16:28:02 EDT
R-statmod-1.4.6-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2010-05-15 16:42:41 EDT
R-statmod-1.4.6-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.